## oem-rtl8723de-bt-lp1793678-dkms 1.0+18.04timbuktu1stella5

=== Makefile ===
SRC_DIR	:= ./bluetooth_usb_driver
MDL_DIR	:= /lib/modules/$(shell uname -r)
DRV_DIR	:= $(MDL_DIR)/kernel/drivers/bluetooth

FIRMWARE_DIR := 8723DU
##########################################
install:
	make -C $(FIRMWARE_DIR) -s

	- rmmod btusb
	- mv $(DRV_DIR)/btusb.ko $(DRV_DIR)/btusb_bak
	- rmmod rtk_btusb
	make -C $(SRC_DIR)
	cp -f $(SRC_DIR)/rtk_btusb.ko $(DRV_DIR)/rtk_btusb.ko
	depmod -a $(shell uname -r)
	make -C $(SRC_DIR) clean
	echo "install rtk_btusb success!"

##########################################

uninstall:
	make -C $(FIRMWARE_DIR) clean -s

	- mv -n $(DRV_DIR)/btusb_bak $(DRV_DIR)/btusb.ko
	- rmmod rtk_btusb
	rm -f $(DRV_DIR)/rtk_btusb.ko
	depmod -a $(shell uname -r)
	echo "uninstall rtk_btusb success!"
##########################################

=== 8723DU/Makefile ===
FW_DIR	:= /lib/firmware
FW_NAME := rtl8723du_fw
FW_CF   := rtl8723du_config

all:
	echo "Copy 8723DU firmware to ${FW_DIR}/${FW_NAME}"
	cp -f ${FW_NAME} $(FW_DIR)/${FW_NAME}
	echo "Copy 8723DU config to ${FW_DIR}/${FW_CF}"
	cp -f ${FW_CF} $(FW_DIR)/${FW_CF}

clean:
	rm -f $(FW_DIR)/${FW_NAME}
	rm -f $(FW_DIR)/${FW_CF}

=== oem-rtl8723de-bt-lp1793678/Makefile ===
KVER?= $(shell uname -r)
ifneq ($(KERNELRELEASE),)
	obj-m := rtk_btusb.o
	rtk_btusb-y = rtk_coex.o rtk_misc.o rtk_bt.o
else
	PWD := $(shell pwd)
	KVER := $(KVER)
	KDIR := /lib/modules/$(KVER)/build

all:
	$(MAKE) -C $(KDIR) M=$(PWD) modules

clean:
	rm -rf *.o *.mod.c *.mod.o *.ko *.symvers *.order *.a

endif

=== debian/changelog ===
oem-rtl8723de-bt-lp1793678-dkms (1.0+18.04timbuktu1stella5) bionic; urgency=medium

  * add fw_patch_table for this device 0xb009

 -- hugh chao <hugh.chao@canonical.com>  Wed, 19 Dec 2018 17:12:38 +0800

oem-rtl8723de-bt-lp1793678-dkms (1.0+18.04timbuktu1stella4) bionic; urgency=medium

  * Blacklist btusb 

 -- hugh chao <hugh.chao@canonical.com>  Wed, 19 Dec 2018 17:02:56 +0800

oem-rtl8723de-bt-lp1793678-dkms (1.0+18.04timbuktu1stella3) bionic; urgency=medium

  * Sync code with Realtek driver version
    Linux_BT_USB_v3.10_20181012_8723DU_BTCOEX_20180125-2323 (LP: #1805073)(LP: #1805922)

 -- hugh chao <hugh.chao@canonical.com>  Wed, 19 Dec 2018 15:52:12 +0800

oem-rtl8723de-bt-lp1793678-dkms (1.0+18.04timbuktu1stella2) bionic; urgency=medium

  * Bump Version 

 -- hugh chao <hugh.chao@canonical.com>  Wed, 24 Oct 2018 14:04:27 +0800

oem-rtl8723de-bt-lp1793678-dkms (1.0+18.04timbuktu1stella1) bionic; urgency=medium

  * Bump version

 -- hugh chao <hugh.chao@canonical.com>  Mon, 08 Oct 2018 16:16:32 +0800

oem-rtl8723de-bt-lp1793678-dkms (1.0) bionic; urgency=low

  * Automatically packaged by DKMS helper.

 -- hugh chao <hugh.chao@canonical.com>  Mon, 08 Oct 2018 16:14:51 +0800

=== debian/control ===
Source: oem-rtl8723de-bt-lp1793678-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Vcs-git:lp:~stella-team/timbuktu/+git/oem-rtl8723de-bt-lp1793678-dkms
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-rtl8723de-bt-lp1793678-dkms
Architecture: amd64
Depends: dkms (>= 1.95), ${misc:Depends}, oem-blacklist-btusb-lp1805922
Description: oem-rtl8723de-bt-lp1793678 driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-rtl8723de-bt-lp1793678
NAME=oem-rtl8723de-bt-lp1793678
VERSION=1.0+18.04timbuktu1stella5

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
